Bug 6244 - Torsmo crashes on start with kernel 2.4.x
: Torsmo crashes on start with kernel 2.4.x
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/torsmo)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-03-11 10:10 by
Modified: 2006-10-15 17:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-11 10:10:31
torsmo при попытке запуска сразу же после инсталляции из под чистого
пользователя падает.
Steps to Reproduce:
1. Установить torsmo
2. Запустить из под чистого пользователя:
$ torsmo
Actual Results:  
torsmo: can't open /home/greycat/.torsmorc: No such file or directory
torsmo: scandir for /sys/bus/i2c/devices/: No such file or directory
Floating point exception

Expected Results:  
Видимо, как минимум какое-то сообщение об ошибке, а не падение с exception'ом.
------- Comment #1 From 2005-03-11 10:12:03 -------
Более того, падает и после того, как ему подсунуть sample rc:

$ cp /usr/share/doc/torsmo-0.18/torsmorc.sample ~/.torsmorc
$ torsmo
torsmo: scandir for /sys/bus/i2c/devices/: No such file or directory
torsmo: can't stat /var/mail/greycat: No such file or directory
Floating point exception
------- Comment #2 From 2005-03-11 22:19:15 -------
Хм, на сколько я понял он не работает на ядрах 2.4
Завязан на /sys
------- Comment #3 From 2005-03-13 01:27:21 -------
Отлично работает, например, если подсунуть ему такую вот строчку (пример из
manpage):

torsmo -t '${time %D %H:%m}' -o -u 30
------- Comment #4 From 2005-03-13 02:09:40 -------
(In reply to comment #3)
> Отлично работает, например, если подсунуть ему такую вот строчку (пример из
> manpage):
> 
> torsmo -t '${time %D %H:%m}' -o -u 30

На сколько я понимаю, для вывода дата-время не нужно /sys
------- Comment #5 From 2005-03-13 04:22:08 -------
Кажется, я разобрался, в чем было дело. Оно на самом деле вполне адекватно
работает и на ядрах 2.4, и на 2.6, просто то, что 2.6-only, на 2.4 не
отображается. Проблема была в другом, скорее всего в udevd/dbus, которые
почему-то имели наглость загрузиться и попортить все на 2.4 ядре.

Для полной очистки совести надо чтобы кто-нибудь с дефолтовым конфигом просто
взял и попробовал на нормальном 2.4 ядре.
------- Comment #6 From 2006-02-11 01:05:22 -------
Я правильно понимаю, что уже не актуально? 
------- Comment #7 From 2006-02-11 02:21:34 -------
(In reply to comment #6)
> Я правильно понимаю, что уже не актуально? 

Не тестировал на 2.4 ядрах последних. Думаю, что не работает все же.
------- Comment #8 From 2006-10-15 17:05:31 -------
The kernel 2.4.x currently unsupported